Bug 1006851 - GNOME shell grows massive over 2-7 days when updating desktop background every 15 minutes
GNOME shell grows massive over 2-7 days when updating desktop background ever...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 07:45 EDT by Iain Lea
Modified: 2015-02-17 12:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:08:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iain Lea 2013-09-11 07:45:51 EDT
Description of problem:

I have a set of approx. 250 desktop background images each approx. 1.5MB of photo collages (i am a photographer and like my work as the desktop background).

A crontab job selects a random image every 15 minutes and updates the desktop using the  following command:

DISPLAY=:0 GSETTINGS_BACKEND=dconf /usr/bin/gsettings set org.gnome.desktop.background picture-uri "file://$OutFile"

The cronjob works and desktop is updated. 

However in syslog i get a constant stream of these messages:

Sep 11 12:14:00 fw1-lan010 gnome-session[2273]: (eog:22873): GdkPixbuf-CRITICAL **: gdk_pixbuf_loader_close: assertion `GDK_IS_PIXBUF_LOADER (loader)' failed
Sep 11 12:14:00 fw1-lan010 gnome-session[2273]: (eog:22873): GdkPixbuf-CRITICAL **: gdk_pixbuf_loader_get_pixbuf: assertion `GDK_IS_PIXBUF_LOADER (loader)' failed
Sep 11 12:14:00 fw1-lan010 gnome-session[2273]: (eog:22873): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

Sep 11 12:14:08 fw1-lan010 gnome-session[2273]: (eog:22873): GdkPixbuf-CRITICAL **: gdk_pixbuf_loader_close: assertion `GDK_IS_PIXBUF_LOADER (loader)' failed
Sep 11 12:14:08 fw1-lan010 gnome-session[2273]: (eog:22873): GdkPixbuf-CRITICAL **: gdk_pixbuf_loader_get_pixbuf: assertion `GDK_IS_PIXBUF_LOADER (loader)' failed
Sep 11 12:14:08 fw1-lan010 gnome-session[2273]: (eog:22873): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

Sep 11 12:14:16 fw1-lan010 gnome-session[2273]: (eog:22873): GdkPixbuf-CRITICAL **: gdk_pixbuf_loader_close: assertion `GDK_IS_PIXBUF_LOADER (loader)' failed
Sep 11 12:14:16 fw1-lan010 gnome-session[2273]: (eog:22873): GdkPixbuf-CRITICAL **: gdk_pixbuf_loader_get_pixbuf: assertion `GDK_IS_PIXBUF_LOADER (loader)' failed
Sep 11 12:14:16 fw1-lan010 gnome-session[2273]: (eog:22873): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
...

Over time (couple of days to 1 week) gnome-shell grows to approx. 10GB and my 16GB SWAP fills right up. Requires a system reboot to fix.

$ uptime
 13:43:10 up 2 days, 12:52,  7 users,  load average: 0.26, 0.34, 0.57

$ free
             total       used       free     shared    buffers     cached
Mem:      16402276   12802276    3600000          0      30268    1817140
-/+ buffers/cache:   10954868    5447408
Swap:     18546684    4659500   13887184


$ atop 15 (cut&paste single line to show momory)
2338 - root root 6 2m12s 5m50s 4.5G 1.3G 867.5M 436K N- - S 11% gnome-shell

 
Version-Release number of selected component (if applicable):

kernel-3.10.10-200.fc19.x86_64

gnome-shell-3.8.4-2.fc19.x86_64

gnome-backgrounds-3.8.1-1.fc19.noarch
gnome-bluetooth-3.8.1-1.fc19.x86_64
gnome-bluetooth-libs-3.8.1-1.fc19.x86_64
gnome-calculator-3.8.2-1.fc19.x86_64
gnome-classic-session-3.8.3.1-1.fc19.noarch
gnome-color-manager-3.8.2-1.fc19.x86_64
gnome-contacts-3.8.3-1.fc19.x86_64
gnome-desktop3-3.8.4-1.fc19.x86_64
gnome-dictionary-3.8.0-1.fc19.x86_64
gnome-disk-utility-3.8.2-1.fc19.x86_64
gnome-documents-3.8.4-1.fc19.x86_64
gnome-dvb-daemon-0.2.10-2.fc19.x86_64
gnome-games-data-3.6.1-2.fc18.noarch
gnome-icon-theme-3.8.3-1.fc19.noarch
gnome-icon-theme-extras-3.6.2-2.fc19.noarch
gnome-icon-theme-legacy-3.8.3-1.fc19.noarch
gnome-icon-theme-symbolic-3.8.2.2-1.fc19.noarch
gnome-js-common-0.1.2-7.fc19.noarch
gnome-keyring-3.8.2-1.fc19.x86_64
gnome-keyring-pam-3.8.2-1.fc19.i686
gnome-keyring-pam-3.8.2-1.fc19.x86_64
gnome-mag-0.16.2-5.fc18.x86_64
gnome-media-3.4.0-5.fc19.x86_64
gnome-menus-3.8.0-2.fc19.x86_64
gnome-mines-3.8.1-3.fc19.x86_64
gnome-mplayer-1.0.8-2.fc19.x86_64
gnome-mplayer-common-1.0.8-2.fc19.x86_64
gnome-online-accounts-3.8.3-1.fc19.x86_64
gnome-packagekit-3.8.2-2.fc19.x86_64
gnome-power-manager-3.8.2-1.fc19.x86_64
gnome-python2-2.28.1-12.fc19.x86_64
gnome-python2-bonobo-2.28.1-12.fc19.x86_64
gnome-python2-canvas-2.28.1-12.fc19.x86_64
gnome-python2-desktop-2.32.0-14.fc19.x86_64
gnome-python2-gconf-2.28.1-12.fc19.x86_64
gnome-python2-gnome-2.28.1-12.fc19.x86_64
gnome-python2-gnomekeyring-2.32.0-14.fc19.x86_64
gnome-python2-gnomevfs-2.28.1-12.fc19.x86_64
gnome-python2-libwnck-2.32.0-14.fc19.x86_64
gnome-screensaver-3.6.1-4.fc19.x86_64
gnome-screenshot-3.8.3-1.fc19.x86_64
gnome-search-tool-3.6.0-2.fc19.x86_64
gnome-session-3.8.4-1.fc19.x86_64
gnome-session-xsession-3.8.4-1.fc19.x86_64
gnome-settings-daemon-3.8.5-1.fc19.x86_64
gnome-settings-daemon-updates-3.8.5-1.fc19.x86_64
gnome-sharp-2.24.2-2.fc19.x86_64
gnome-shell-3.8.4-2.fc19.x86_64
gnome-shell-extension-alternate-tab-3.8.3.1-1.fc19.noarch
gnome-shell-extension-alternative-status-menu-3.8.3.1-1.fc19.noarch
gnome-shell-extension-apps-menu-3.8.3.1-1.fc19.noarch
gnome-shell-extension-common-3.8.3.1-1.fc19.noarch
gnome-shell-extension-launch-new-instance-3.8.3.1-1.fc19.noarch
gnome-shell-extension-places-menu-3.8.3.1-1.fc19.noarch
gnome-shell-extension-user-theme-3.8.3.1-1.fc19.noarch
gnome-shell-extension-window-list-3.8.3.1-1.fc19.noarch
gnome-speech-0.4.25-5.fc15.x86_64
gnome-sudoku-3.8.1-3.fc19.noarch
gnome-system-log-3.8.1-1.fc19.x86_64
gnome-system-monitor-3.8.2.1-1.fc19.x86_64
gnome-terminal-3.8.4-1.fc19.x86_64
gnome-themes-2.32.0-10.fc19.noarch
gnome-themes-standard-3.8.3-1.fc19.x86_64
gnome-tweak-tool-3.8.1-1.fc19.noarch
gnome-user-docs-3.8.2-1.fc19.noarch
gnome-vfs2-2.24.4-12.fc19.x86_64
gnome-video-effects-0.4.0-5.fc19.noarch

How reproducible:


Steps to Reproduce:
1. load a 1.5MB desktop jpg image as background image
2. repeat every 15 minutes 7x24
3. gnome-shell will grow to 10GB in size on 16GB system over 2-7 days and swap will max out

Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2015-01-09 14:48:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:08:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.